import { jsx as _jsx } from "react/jsx-runtime";
import { TextLink } from '@contentful/f36-components';
const HyperLink = (props) => {
    const { body, substring, onClick = () => { }, href, icon, alignIcon } = props;
    const textLinkComponent = (index) => (_jsx(TextLink, { onClick: onClick, href: href, target: "_blank", rel: "noopener noreferer", icon: icon, alignIcon: alignIcon, children: substring }, `textLink-${index}`));
    const formatLink = () => {
        const bodyWithTextLink = body.split(substring).reduce((prev, current, i) => {
            if (!i) {
                return [current];
            }
            return prev.concat(textLinkComponent(i), current);
        }, []);
        return bodyWithTextLink;
    };
    return formatLink();
};
export default HyperLink;
