import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import Fuse from 'fuse.js';
import React, { useCallback, useEffect, useMemo, useState } from 'react';
const SearchableList = ({ items, pinnedItems = [], renderListItem, searchQuery, searchKeys, fuseOptions, }) => {
    const [filteredList, setFilteredList] = useState(items);
    const options = {
        isCaseSensitive: false,
        keys: searchKeys,
        ...fuseOptions,
    };
    const fuse = useMemo(() => new Fuse(items, options), [items, searchQuery, searchKeys, options]);
    const filterList = useCallback((searchPattern) => {
        if (searchPattern === '') {
            const uniqueDefaultSet = new Set([...pinnedItems, ...items]);
            setFilteredList([...uniqueDefaultSet]);
            return;
        }
        const fuseSearchResultObj = fuse.search(searchPattern);
        const extractedSearchResults = fuseSearchResultObj.map((result) => result.item);
        const uniqueItems = new Set([...pinnedItems, ...extractedSearchResults]);
        setFilteredList([...uniqueItems]);
    }, [fuse, items, pinnedItems]);
    useEffect(() => {
        if (searchQuery || searchQuery === '') {
            filterList(searchQuery);
        }
    }, [searchQuery]);
    return (_jsx(_Fragment, { children: filteredList.map((item, idx) => {
            return _jsx(React.Fragment, { children: renderListItem(item) }, idx);
        }) }));
};
export default SearchableList;
