import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { Heading, Subheading } from '@contentful/f36-components';
import SearchableList from './SearchableList';
const meta = {
    title: 'General/SearchableList',
    component: SearchableList,
    decorators: [
        (Story) => (_jsxs(_Fragment, { children: [_jsx(Heading, { marginBottom: "spacing4Xl", style: { fontSize: '44px' }, children: "Use the Storybook \"Controls\" to Search" }), _jsx(Story, {})] })),
    ],
};
export const Default = {};
const renderListItem = (item) => {
    return (_jsxs("div", { style: { border: '1px solid #ccc', margin: '2%', padding: '2% 2% 1%' }, children: [_jsxs(Heading, { children: ["Team: ", item?.name] }), _jsxs(Subheading, { children: ["Channels:", ' ', item?.channels.map((c, idx) => {
                        return (_jsxs("span", { children: [c, ', '] }, idx));
                    })] }), _jsx(Subheading, { children: Object.entries(item?.skills).map((entry, idy) => {
                    const [skill, rating] = entry;
                    return (_jsx("div", { style: { marginLeft: '5%' }, children: _jsxs("span", { children: [skill, ": ", rating?.rating] }) }, idy));
                }) })] }));
};
Default.args = {
    searchQuery: '',
    items: [
        {
            id: '123',
            name: 'research & development',
            channels: ['General', 'prd', 'data', 'eng'],
            skills: {
                SQL: {
                    rating: 6,
                },
                PRDs: {
                    rating: 8,
                },
            },
        },
        {
            id: '456',
            name: 'design & implementation',
            channels: ['fun-dog', 'pair-programming', 'planning'],
            skills: {
                coding: {
                    rating: 7,
                },
                communication: {
                    rating: 4,
                },
            },
        },
        {
            id: '789',
            name: 'customer support',
            channels: ['General', 'customer-1', 'hi_prioity', 'spring Launch'],
            skills: {
                Email: {
                    rating: 10,
                },
                Slack: {
                    rating: 9,
                },
            },
        },
        {
            id: '632',
            name: 'Sales',
            channels: ['gen', 'staffing', 'incidents', 'sprint_reviews'],
            skills: {
                Jira: {
                    rating: 7,
                },
                SalesForce: {
                    rating: 10,
                },
            },
        },
    ],
    renderListItem,
    searchKeys: ['name', 'channels', 'skills', 'id', 'skills'],
};
export default meta;
