import { BaseAppSDK } from '@contentful/app-sdk';
export declare const ACCEPT = "ACCEPT";
export declare const DENY = "DENY";
declare type ConsentRecordKey = 'ANALYTICS' | 'ESSENTIAL' | 'MARKETING' | 'PERSONALIZATION' | 'OPT_OUT' | 'STORAGE';
declare type ConsentData = {
    uuid: string;
    expirationDate: string | null;
    consentRecord: Record<ConsentRecordKey, 'ACCEPT' | 'DENY'>;
    rawConsentRecord: string;
};
export interface UserConsent {
    [key: string]: ConsentData;
}
export default function getUserCookieConsent(sdk: BaseAppSDK, consentProperty: ConsentRecordKey): boolean;
export {};
