import * as Sentry from '@sentry/react';
import { upperFirst } from 'lodash';
import { consolidateContentfulAppInfo } from './consolidateContentfulAppInfo/consolidateContentfulAppInfo';
const init = (configOptions) => Sentry.init({
    dsn: 'https://b8f524eae7c446fb8071476431426640@o2239.ingest.sentry.io/4504725335834624',
    integrations: [new Sentry.BrowserTracing(), new Sentry.Replay()],
    tracesSampleRate: 1.0,
    replaysSessionSampleRate: 0.1,
    replaysOnErrorSampleRate: 1.0,
    ...configOptions,
});
const setContentfulSentryContext = (sdkIds, sdkLocation, appName) => {
    const scope = Sentry.getCurrentScope();
    if (sdkIds.user)
        scope.setUser({ id: sdkIds.user });
    if (appName)
        scope.setTag('X-Contentful-App-Name', appName);
    for (const [key, value] of Object.entries(consolidateContentfulAppInfo(sdkIds, sdkLocation))) {
        if (value)
            scope.setTag(`X-Contentful-${upperFirst(key)}`, value);
    }
};
export const sentryMarketplaceAppsSDK = {
    init,
    setContentfulSentryContext,
    client: Sentry,
};
